@book{norvig,
	Address = {Upper Saddle River, N.J.},
	Author = {Russell, Stuart J and Norvig, Peter},
	Call-Number = {Q335},
	Date-Added = {2008-10-23 11:22:33 +0200},
	Date-Modified = {2008-10-23 11:22:33 +0200},
	Dewey-Call-Number = {006.3},
	Edition = {2nd ed},
	Genre = {Artificial intelligence},
	Isbn = {0137903952},
	Library-Id = {2003269366},
	Publisher = {Prentice Hall/Pearson Education},
	Title = {Artificial intelligence: a modern approach},
	Year = {2003}}

@book{friedl,
 author = {Jeffrey E. F. Friedl},
 editor = {Andy Oram},
 title = {Mastering Regular Expressions},
 year = {2002},
 isbn = {0596002890},
 publisher = {O'Reilly \& Associates, Inc.},
 address = {Sebastopol, CA, USA},
 }
 
 @book{witten,
	Address = {San Francisco, Calif.},
	Author = {Witten, I. H and Frank, Eibe},
	Publisher = {Morgan Kaufmann},
	Title = {Data mining: practical machine learning tools and techniques with Java implementations},
	Year = {2000}}


@book{speech,
	Address = {Upper Saddle River, N.J.},
	Author = {Jurafsky, Dan and Martin, James H.},
	Publisher = {Prentice Hall},
	Title = {Speech and language processing: an introduction to natural language processing, computational linguistics, and speech recognition},
	Year = {2000}}

@article{10.1109/TKDE.2002.1000341,
        author = {M. Garofalakis and R. Rastogi and K. Shim},
        title = {Mining Sequential Patterns with Regular Expression Constraints},
        journal ={IEEE Transactions on Knowledge and Data Engineering},
        volume = {14},
        number = {3},
        issn = {1041-4347},
        year = {2002},
        pages = {530-552},
        doi = {http://doi.ieeecomputersociety.org/10.1109/TKDE.2002.1000341},
        publisher = {IEEE Computer Society},
        address = {Los Alamitos, CA, USA}}

@misc{raskin:website,
        author = "Aza Raskin",
        title = "Don't Make Me Click (Google Tech Talk presentation)",
        month = "Oct",
        year = {2008},
        howpublished = "\texttt{http://www.youtube.com/watch?v=EuELwq2ThJE}"
}

@misc{regexinfo:website,
        author = "Jan Goyvaerts",
        title = "How to Find or Validate an Email Address",
        month = "Oct",
        year = {2008},
        howpublished = "\texttt{http://www.regular-expressions.info/email.html}"
}

@misc{doctor:website,
        author = "Free Software Foundation, Inc.",
        title = "Sourcecode of doctor.el",
        month = "Oct",
        year = {2008},
        howpublished = "\texttt{http://cvs.savannah.gnu.org/viewvc/emacs/emacs/lisp/play/doctor.el?revision=1.27.4.15&view=markup}"
}
